AOZ Studio Beta - Bug #787

List Bank is no longer working. (Transpiles incorrectly.)
06/23/2021 02:26 PM - Brian Flanagan

Status: Closed Start date: 06/23/2021
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B8) u15

Affected version: 1.0.0 (B8)

Description

This used to work in both manifests.
Now it transpiles incorrectly.

List Bank

Transpiles as:

aoz.banks.listBank ($bankIndex) ;

Which causes it to fail with: Unexpected token %
It probably should transpile as:
aoz.banks.listBank () ;

(It works that way, but the output is formatted improperly.)

History

#1 - 06/26/2021 07:39 AM - David Baldwin

Fixed! Typo in instruction definition.

#2 - 06/26/2021 05:42 PM - David Baldwin

- Status changed from New to Resolved

#3 - 07/15/2021 06:27 AM - Francois Lionet
Fixed!

#4 - 07/15/2021 09:37 AM - Brian Flanagan
- Status changed from Resolved to Closed

- Target version changed from none to 1.0.0 (B8) u15

Re-tested in 1.0.0 (B8) u15 on 7/15/2021
Works. :-)

#5 - 09/18/2021 02:11 AM - Brian Flanagan

Apparently, this has been RE-broken!
(Making a new ticket.)

04/25/2024

1/1



http://www.tcpdf.org

